org.keycloak.adapters

## Class AdapterDeploymentContext.DeploymentDelegate

- java.lang.Object
- - org.keycloak.adapters.KeycloakDeployment
  - - org.keycloak.adapters.AdapterDeploymentContext.DeploymentDelegate

- Enclosing class:
    AdapterDeploymentContext

      protected static class AdapterDeploymentContext.DeploymentDelegate
      extends KeycloakDeployment

  This delegate is used to store temporary, per-request metadata like request resolved URLs. Ever method is delegated except URL get methods and isConfigured()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakDeployment` | `delegate`

    - ### Fields inherited from class org.keycloak.adapters.KeycloakDeployment

      `accountUrl, authServerBaseUrl, authUrl, bearerOnly, client, codeUrl, cors, corsAllowedHeaders, corsAllowedMethods, corsMaxAge, exposeToken, logoutUrl, notBefore, publicClient, realm, realmInfoUrl, realmKey, refreshUrl, relativeUrls, resourceCredentials, resourceName, scope, serverBuilder, sslRequired, stateCookieName, useResourceRoleMappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterDeploymentContext.DeploymentDelegate(KeycloakDeployment delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.client.HttpClient` | `getClient()`
    `String` | `getCorsAllowedHeaders()`
    `String` | `getCorsAllowedMethods()`
    `int` | `getCorsMaxAge()`
    `int` | `getNotBefore()`
    `String` | `getRealm()`
    `PublicKey` | `getRealmKey()`
    `Map<String,String>` | `getResourceCredentials()`
    `String` | `getResourceName()`
    `String` | `getScope()`
    `SslRequired` | `getSslRequired()`
    `String` | `getStateCookieName()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isCors()`
    `boolean` | `isExposeToken()`
    `boolean` | `isPublicClient()`
    `boolean` | `isUseResourceRoleMappings()`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClient(org.apache.http.client.HttpClient client)`
    `void` | `setCors(boolean cors)`
    `void` | `setCorsAllowedHeaders(String corsAllowedHeaders)`
    `void` | `setCorsAllowedMethods(String corsAllowedMethods)`
    `void` | `setCorsMaxAge(int corsMaxAge)`
    `void` | `setExposeToken(boolean exposeToken)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKey(PublicKey realmKey)`
    `void` | `setResourceCredentials(Map<String,String> resourceCredentials)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setScope(String scope)`
    `void` | `setSslRequired(SslRequired sslRequired)`
    `void` | `setStateCookieName(String stateCookieName)`
    `void` | `setUseResourceRoleMappings(boolean useResourceRoleMappings)`

    - ### Methods inherited from class org.keycloak.adapters.KeycloakDeployment

      `getAccountUrl, getAuthServerBaseUrl, getAuthUrl, getCodeUrl, getLogoutUrl, getRealmInfoUrl, getRefreshUrl, isConfigured, setAuthServerBaseUrl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected KeycloakDeployment delegate

  - ### Constructor Detail

    - #### AdapterDeploymentContext.DeploymentDelegate

          public AdapterDeploymentContext.DeploymentDelegate(KeycloakDeployment delegate)

  - ### Method Detail

    - #### getResourceName

          public String getResourceName()

      Overrides:
        `getResourceName` in class `KeycloakDeployment`

    - #### getRealm

          public String getRealm()

      Overrides:
        `getRealm` in class `KeycloakDeployment`

    - #### setRealm

          public void setRealm(String realm)

      Overrides:
        `setRealm` in class `KeycloakDeployment`

    - #### getRealmKey

          public PublicKey getRealmKey()

      Overrides:
        `getRealmKey` in class `KeycloakDeployment`

    - #### setRealmKey

          public void setRealmKey(PublicKey realmKey)

      Overrides:
        `setRealmKey` in class `KeycloakDeployment`

    - #### setResourceName

          public void setResourceName(String resourceName)

      Overrides:
        `setResourceName` in class `KeycloakDeployment`

    - #### isBearerOnly

          public boolean isBearerOnly()

      Overrides:
        `isBearerOnly` in class `KeycloakDeployment`

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

      Overrides:
        `setBearerOnly` in class `KeycloakDeployment`

    - #### isPublicClient

          public boolean isPublicClient()

      Overrides:
        `isPublicClient` in class `KeycloakDeployment`

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

      Overrides:
        `setPublicClient` in class `KeycloakDeployment`

    - #### getResourceCredentials

          public Map<String,String> getResourceCredentials()

      Overrides:
        `getResourceCredentials` in class `KeycloakDeployment`

    - #### setResourceCredentials

          public void setResourceCredentials(Map<String,String> resourceCredentials)

      Overrides:
        `setResourceCredentials` in class `KeycloakDeployment`

    - #### getClient

          public org.apache.http.client.HttpClient getClient()

      Overrides:
        `getClient` in class `KeycloakDeployment`

    - #### setClient

          public void setClient(org.apache.http.client.HttpClient client)

      Overrides:
        `setClient` in class `KeycloakDeployment`

    - #### getScope

          public String getScope()

      Overrides:
        `getScope` in class `KeycloakDeployment`

    - #### setScope

          public void setScope(String scope)

      Overrides:
        `setScope` in class `KeycloakDeployment`

    - #### getSslRequired

          public SslRequired getSslRequired()

      Overrides:
        `getSslRequired` in class `KeycloakDeployment`

    - #### setSslRequired

          public void setSslRequired(SslRequired sslRequired)

      Overrides:
        `setSslRequired` in class `KeycloakDeployment`

    - #### getStateCookieName

          public String getStateCookieName()

      Overrides:
        `getStateCookieName` in class `KeycloakDeployment`

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

      Overrides:
        `setStateCookieName` in class `KeycloakDeployment`

    - #### isUseResourceRoleMappings

          public boolean isUseResourceRoleMappings()

      Overrides:
        `isUseResourceRoleMappings` in class `KeycloakDeployment`

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(boolean useResourceRoleMappings)

      Overrides:
        `setUseResourceRoleMappings` in class `KeycloakDeployment`

    - #### isCors

          public boolean isCors()

      Overrides:
        `isCors` in class `KeycloakDeployment`

    - #### setCors

          public void setCors(boolean cors)

      Overrides:
        `setCors` in class `KeycloakDeployment`

    - #### getCorsMaxAge

          public int getCorsMaxAge()

      Overrides:
        `getCorsMaxAge` in class `KeycloakDeployment`

    - #### setCorsMaxAge

          public void setCorsMaxAge(int corsMaxAge)

      Overrides:
        `setCorsMaxAge` in class `KeycloakDeployment`

    - #### getCorsAllowedHeaders

          public String getCorsAllowedHeaders()

      Overrides:
        `getCorsAllowedHeaders` in class `KeycloakDeployment`

    - #### setNotBefore

          public void setNotBefore(int notBefore)

      Overrides:
        `setNotBefore` in class `KeycloakDeployment`

    - #### getNotBefore

          public int getNotBefore()

      Overrides:
        `getNotBefore` in class `KeycloakDeployment`

    - #### setExposeToken

          public void setExposeToken(boolean exposeToken)

      Overrides:
        `setExposeToken` in class `KeycloakDeployment`

    - #### isExposeToken

          public boolean isExposeToken()

      Overrides:
        `isExposeToken` in class `KeycloakDeployment`

    - #### setCorsAllowedMethods

          public void setCorsAllowedMethods(String corsAllowedMethods)

      Overrides:
        `setCorsAllowedMethods` in class `KeycloakDeployment`

    - #### getCorsAllowedMethods

          public String getCorsAllowedMethods()

      Overrides:
        `getCorsAllowedMethods` in class `KeycloakDeployment`

    - #### setCorsAllowedHeaders

          public void setCorsAllowedHeaders(String corsAllowedHeaders)

      Overrides:
        `setCorsAllowedHeaders` in class `KeycloakDeployment`

Copyright © 2014. All Rights Reserved.